import Vue from 'vue'
import Vuex from 'vuex'
import user from '@/store/modules/user'
import warehouse from '@/store/modules/warehouse'
import getters from './getters'

Vue.use(Vuex)

const store = new Vuex.Store({
	modules: {
		user,
		warehouse
	},
	getters
})

export default store